## org.apache.lucene.queryParser.standard.config
Class MultiTermRewriteMethodAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.queryParser.standard.config.MultiTermRewriteMethodAttributeImpl

All Implemented Interfaces:
  Serializable, Cloneable, ConfigAttribute, MultiTermRewriteMethodAttribute, org.apache.lucene.util.Attribute

Deprecated.

    @Deprecated
    public class MultiTermRewriteMethodAttributeImpl

extends org.apache.lucene.util.AttributeImpl
implements MultiTermRewriteMethodAttribute, ConfigAttribute

This attribute is used by `ParametricRangeQueryNodeProcessor` processor and should be defined in the `QueryConfigHandler` used by this processor. It basically tells the processor which `MultiTermQuery.RewriteMethod` to use.

See Also:
  `MultiTermRewriteMethodAttribute`, Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Fields inherited from interface org.apache.lucene.queryParser.standard.config.MultiTermRewriteMethodAttribute
`TAG_ID`

Constructor Summary
`MultiTermRewriteMethodAttributeImpl()` Deprecated.

Method Summary
`void` `clear()` Deprecated.
`void` `copyTo(org.apache.lucene.util.AttributeImpl target)` Deprecated.
`boolean` `equals(Object other)` Deprecated.
`org.apache.lucene.search.MultiTermQuery.RewriteMethod` `getMultiTermRewriteMethod()` Deprecated.
`int` `hashCode()` Deprecated.
`void` `setMultiTermRewriteMethod(org.apache.lucene.search.MultiTermQuery.RewriteMethod method)` Deprecated.
`void` `setQueryConfigHandler(AbstractQueryConfig config)` Deprecated.
`String` `toString()` Deprecated.

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, reflectWith`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiTermRewriteMethodAttributeImpl

    public MultiTermRewriteMethodAttributeImpl()

  Deprecated.

Method Detail

### setMultiTermRewriteMethod

    public void setMultiTermRewriteMethod(org.apache.lucene.search.MultiTermQuery.RewriteMethod method)

  Deprecated.
  Specified by:
    `setMultiTermRewriteMethod` in interface `MultiTermRewriteMethodAttribute`

### getMultiTermRewriteMethod

    public org.apache.lucene.search.MultiTermQuery.RewriteMethod getMultiTermRewriteMethod()

  Deprecated.
  Specified by:
    `getMultiTermRewriteMethod` in interface `MultiTermRewriteMethodAttribute`

### clear

    public void clear()

  Deprecated.
  Specified by:
    `clear` in class `org.apache.lucene.util.AttributeImpl`

### copyTo

    public void copyTo(org.apache.lucene.util.AttributeImpl target)

  Deprecated.
  Specified by:
    `copyTo` in class `org.apache.lucene.util.AttributeImpl`

### equals

    public boolean equals(Object other)

  Deprecated.
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `org.apache.lucene.util.AttributeImpl`

### setQueryConfigHandler

    public void setQueryConfigHandler(AbstractQueryConfig config)

  Deprecated.
  Specified by:
    `setQueryConfigHandler` in interface `ConfigAttribute`